import { installationReportsCol } from "../../utility/reports"
import { Table } from "../common/table"
import { useEffect, useState } from "react"
import { SortingState } from "@tanstack/react-table"
import { useQuery } from "@tanstack/react-query"
import { getRegisterDeviceList } from "../../services/api/register-device"

export const InstallationReports = () => {
    const [sorting, setSorting] = useState<SortingState>([])
    const { data, isLoading } = useQuery({
        queryKey: ["register-device"],
        queryFn: getRegisterDeviceList
    })

    useEffect(() => {
        console.log("data =>", data)
    }, [data])

    if (isLoading) return <p>LODING .....</p>
    return (
        <Table columns={installationReportsCol} data={data?.data?.data} sorting={sorting} setSorting={setSorting} />
    )
}